# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Summary:	Support library for writing LV2 plugins in C++
Name:		lv2-c++-tools
Version:	1.0.4
Release:	alt1_7
License:	GPLv3+
Group:		System/Libraries
URL:		http://ll-plugins.nongnu.org/hacking.html
Source0:	http://download.savannah.nongnu.org/releases-noredirect/ll-plugins/%{name}-%{version}.tar.bz2
# Don't use deprecated headers. Sent upstream via email
Patch0:		%{name}-boost.patch

BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires:	doxygen
BuildRequires:	libgtkmm2-devel
BuildRequires:	lv2-devel
Source44: import.info


%description
This software package contains libraries and programs that should make it
easier to write LV2 plugins in C++.


%package devel
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-static = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains libraries and header files for developing LV2 plugins
that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .boost
# We will use our lv2core
rm -f headers/lv2.h
sed -i -e '/lv2\.h/d' Makefile

%build
# this doesn't use GNU configure
./configure --prefix=%{_prefix} --CFLAGS="%{optflags}"
make %{?_smp_mflags}

# Build the devel doc
doxygen

%install
make libdir=%{_libdir} DESTDIR=%{buildroot} install

# We don't want this static library. The other ones are needed though
rm -f %{buildroot}%{_libdir}/libpaq.a

# We will put the AUTHORS COPYING ChangeLog README files
# into the proper location
rm -f %{buildroot}%{_docdir}/%{name}/*

# Add missing symlink
ln -sf libpaq.so.0.0.0 %{buildroot}%{_libdir}/libpaq.so.0


%files
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.*

%files devel
%doc html/*
%{_bindir}/*
%{_includedir}/%{name}/
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_7
- fc import

